/* function declared static & inline */
static inline static_inline_decl(void);

/* function declared inline */
inline inline_decl(void);

/* function defined static & inline */
static inline static_inline_defn(void){}

/* function declared inline */
inline inline_defn(void){}
